<?php
/**
* The template for adding Header Highlight Content in Customizer
*
* @package Catch Themes
* @subpackage Parallax Frame Pro
* @since Parallax Frame 1.0
*/

$wp_customize->add_section( 'parallax_frame_header_highlight_content', array(
	'priority' => 600,
	'title'    => esc_html__( 'Header Highlight Content', 'parallax-frame-pro' ),
) );

$wp_customize->add_setting( 'parallax_frame_theme_options[header_highlight_content_option]', array(
	'capability'		=> 'edit_theme_options',
	'default'			=> $defaults['header_highlight_content_option'],
	'sanitize_callback' => 'parallax_frame_sanitize_select',
) );

$parallax_frame_featured_slider_content_options = parallax_frame_featured_slider_content_options();
$choices = array();
foreach ( $parallax_frame_featured_slider_content_options as $parallax_frame_featured_slider_content_option ) {
	$choices[$parallax_frame_featured_slider_content_option['value']] = $parallax_frame_featured_slider_content_option['label'];
}

$wp_customize->add_control( 'parallax_frame_theme_options[header_highlight_content_option]', array(
	'choices'  	=> $choices,
	'label'    	=> esc_html__( 'Enable Header Highlight Content on', 'parallax-frame-pro' ),
	'priority'	=> '1',
	'section'  	=> 'parallax_frame_header_highlight_content',
	'settings' 	=> 'parallax_frame_theme_options[header_highlight_content_option]',
	'type'	  	=> 'select',
) );

$wp_customize->add_setting( 'parallax_frame_theme_options[header_highlight_content_type]', array(
	'capability'		=> 'edit_theme_options',
	'default'			=> $defaults['header_highlight_content_type'],
	'sanitize_callback'	=> 'parallax_frame_sanitize_select',
) );

$parallax_frame_header_highlight_content_types = parallax_frame_header_highlight_content_types();
$choices = array();
foreach ( $parallax_frame_header_highlight_content_types as $parallax_frame_header_highlight_content_type ) {
	$choices[$parallax_frame_header_highlight_content_type['value']] = $parallax_frame_header_highlight_content_type['label'];
}

$wp_customize->add_control( 'parallax_frame_theme_options[header_highlight_content_type]', array(
	'active_callback' => 'parallax_frame_is_header_highlight_content_active',
	'choices'         => $choices,
	'label'           => esc_html__( 'Select Content Type', 'parallax-frame-pro' ),
	'priority'        => '3',
	'section'         => 'parallax_frame_header_highlight_content',
	'settings'        => 'parallax_frame_theme_options[header_highlight_content_type]',
	'type'            => 'select',
) );

$wp_customize->add_setting( 'parallax_frame_theme_options[header_highlight_content_headline]', array(
	'capability'		=> 'edit_theme_options',
	'sanitize_callback'	=> 'wp_kses_post',
) );

$wp_customize->add_control( 'parallax_frame_theme_options[header_highlight_content_headline]' , array(
	'active_callback'	=> 'parallax_frame_is_header_highlight_content_active',
	'description'	=> esc_html__( 'Leave field empty if you want to remove Headline', 'parallax-frame-pro' ),
	'label'    		=> esc_html__( 'Headline for Header Highlight Content', 'parallax-frame-pro' ),
	'priority'		=> '4',
	'section'  		=> 'parallax_frame_header_highlight_content',
	'settings' 		=> 'parallax_frame_theme_options[header_highlight_content_headline]',
	'type'	   		=> 'text',
	)
);

$wp_customize->add_setting( 'parallax_frame_theme_options[header_highlight_content_subheadline]', array(
	'capability'		=> 'edit_theme_options',
	'sanitize_callback'	=> 'wp_kses_post',
) );

$wp_customize->add_control( 'parallax_frame_theme_options[header_highlight_content_subheadline]' , array(
	'active_callback'	=> 'parallax_frame_is_header_highlight_content_active',
	'description'	=> esc_html__( 'Leave field empty if you want to remove Sub-headline', 'parallax-frame-pro' ),
	'label'    		=> esc_html__( 'Sub-headline for Header Highlight Content', 'parallax-frame-pro' ),
	'priority'		=> '5',
	'section'  		=> 'parallax_frame_header_highlight_content',
	'settings' 		=> 'parallax_frame_theme_options[header_highlight_content_subheadline]',
	'type'	   		=> 'text',
	)
);

$wp_customize->add_setting( 'parallax_frame_theme_options[header_highlight_content_show]', array(
	'capability'		=> 'edit_theme_options',
	'default'			=> $defaults['header_highlight_content_show'],
	'sanitize_callback'	=> 'parallax_frame_sanitize_select',
) );

$parallax_frame_header_highlight_content_show = parallax_frame_featured_content_show();
$choices = array();
foreach ( $parallax_frame_header_highlight_content_show as $parallax_frame_header_highlight_content_shows ) {
	$choices[$parallax_frame_header_highlight_content_shows['value']] = $parallax_frame_header_highlight_content_shows['label'];
}

$wp_customize->add_control( 'parallax_frame_theme_options[header_highlight_content_show]', array(
	'active_callback' => 'parallax_frame_is_demo_header_highlight_content_inactive',
	'choices'         => $choices,
	'label'           => esc_html__( 'Display Content', 'parallax-frame-pro' ),
	'section'         => 'parallax_frame_header_highlight_content',
	'settings'        => 'parallax_frame_theme_options[header_highlight_content_show]',
	'type'            => 'select',
) );

$wp_customize->add_setting( 'parallax_frame_theme_options[header_highlight_content_number]', array(
	'capability'		=> 'edit_theme_options',
	'default'			=> $defaults['header_highlight_content_number'],
	'sanitize_callback'	=> 'parallax_frame_sanitize_number_range',
	'transport'			=> 'postMessage'
) );

$wp_customize->add_control( 'parallax_frame_theme_options[header_highlight_content_number]' , array(
		'active_callback' => 'parallax_frame_is_demo_header_highlight_content_inactive',
		'description'     => esc_html__( 'Save and refresh the page if No. of Header Highlight Content is changed (Max no of Header Highlight Content is 21)', 'parallax-frame-pro' ),
		'input_attrs'     => array(
			'style' => 'width: 45px;',
			'min'   => 1,
		),
		'label'           => esc_html__( 'No of Header Highlight Content', 'parallax-frame-pro' ),
		'priority'        => '6',
		'section'         => 'parallax_frame_header_highlight_content',
		'settings'        => 'parallax_frame_theme_options[header_highlight_content_number]',
		'type'            => 'number',
	)
);

$wp_customize->add_setting( 'parallax_frame_theme_options[header_highlight_content_select_category]', array(
	'capability'		=> 'edit_theme_options',
	'sanitize_callback'	=> 'parallax_frame_sanitize_category_list',
) );

$wp_customize->add_control( new parallax_frame_Customize_Dropdown_Categories_Control( $wp_customize, 'parallax_frame_header_highlight_content_select_category', array(
	'active_callback' => 'parallax_frame_is_header_highlight_category_content_active',
	'label'           => esc_html__( 'Select Categories', 'parallax-frame-pro' ),
	'name'            => 'parallax_frame_theme_options[header_highlight_content_select_category]',
	'section'         => 'parallax_frame_header_highlight_content',
	'settings'        => 'parallax_frame_theme_options[header_highlight_content_select_category]',
	'type'            => 'dropdown-categories',
) ) );

$wp_customize->add_setting( 'parallax_frame_theme_options[header_highlight_content_hide_category]', array(
    'capability'		=> 'edit_theme_options',
	'sanitize_callback'	=> 'parallax_frame_sanitize_checkbox',
) );

$wp_customize->add_control(  'parallax_frame_theme_options[header_highlight_content_hide_category]', array(
	'active_callback' => 'parallax_frame_is_post_category_header_highlight_content_inactive',
	'label'           => esc_html__( 'Check to Hide Category Meta', 'parallax-frame-pro' ),
	'section'         => 'parallax_frame_header_highlight_content',
	'settings'        => 'parallax_frame_theme_options[header_highlight_content_hide_category]',
	'type'            => 'checkbox',
) );

$wp_customize->add_setting( 'parallax_frame_theme_options[header_highlight_content_hide_tags]', array(
    'capability'		=> 'edit_theme_options',
	'sanitize_callback'	=> 'parallax_frame_sanitize_checkbox',
) );

$wp_customize->add_control(  'parallax_frame_theme_options[header_highlight_content_hide_tags]', array(
	'active_callback' => 'parallax_frame_is_post_category_header_highlight_content_inactive',
	'label'           => esc_html__( 'Check to Hide Tag Meta', 'parallax-frame-pro' ),
	'section'         => 'parallax_frame_header_highlight_content',
	'settings'        => 'parallax_frame_theme_options[header_highlight_content_hide_tags]',
	'type'            => 'checkbox',
) );

$wp_customize->add_setting( 'parallax_frame_theme_options[header_highlight_content_hide_date]', array(
    'capability'		=> 'edit_theme_options',
	'sanitize_callback'	=> 'parallax_frame_sanitize_checkbox',
) );

$wp_customize->add_control(  'parallax_frame_theme_options[header_highlight_content_hide_date]', array(
	'active_callback' => 'parallax_frame_is_post_category_header_highlight_content_inactive',
	'label'           => esc_html__( 'Check to Hide Posted On Date', 'parallax-frame-pro' ),
	'section'         => 'parallax_frame_header_highlight_content',
	'settings'        => 'parallax_frame_theme_options[header_highlight_content_hide_date]',
	'type'            => 'checkbox',
) );

if ( is_multi_author() ) {
    $wp_customize->add_setting( 'parallax_frame_theme_options[header_highlight_content_hide_author]', array(
        'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'parallax_frame_sanitize_checkbox',
	) );

	$wp_customize->add_control(  'parallax_frame_theme_options[header_highlight_content_hide_author]', array(
		'active_callback' => 'parallax_frame_is_post_category_header_highlight_content_inactive',
		'label'           => esc_html__( 'Check to Hide Author Meta', 'parallax-frame-pro' ),
		'section'         => 'parallax_frame_header_highlight_content',
		'settings'        => 'parallax_frame_theme_options[header_highlight_content_hide_author]',
		'type'            => 'checkbox',
    ) );
}


//loop for content types
for ( $i=1; $i <=  $options['header_highlight_content_number'] ; $i++ ) {

	//Post Content
	$wp_customize->add_setting( 'parallax_frame_theme_options[header_highlight_content_post_'. $i .']', array(
		'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'parallax_frame_sanitize_page',
		)
	);

	$wp_customize->add_control( 'parallax_frame_header_highlight_content_post_'. $i, array(
		'active_callback' => 'parallax_frame_is_header_highlight_post_content_active',
		'input_attrs'     => array(
			'style' => 'width: 200px;'
		),
		'label'           => esc_html__( 'Post', 'parallax-frame-pro' ) . ' ' . $i ,
		'section'         => 'parallax_frame_header_highlight_content',
		'settings'        => 'parallax_frame_theme_options[header_highlight_content_post_'. $i .']',
		'type'            => 'text',
		)
	);


	//Page Content
	$wp_customize->add_setting( 'parallax_frame_theme_options[header_highlight_content_page_'. $i .']', array(
		'capability'        => 'edit_theme_options',
		'sanitize_callback'	=> 'parallax_frame_sanitize_page',
	) );

	$wp_customize->add_control( 'parallax_frame_theme_options[header_highlight_content_page_'. $i .']', array(
		'active_callback' => 'parallax_frame_is_header_highlight_page_content_active',
		'label'           => esc_html__( 'Page', 'parallax-frame-pro' ) . ' ' . $i ,
		'section'         => 'parallax_frame_header_highlight_content',
		'settings'        => 'parallax_frame_theme_options[header_highlight_content_page_'. $i .']',
		'type'            => 'dropdown-pages',
	) );

	//Image Content
	$wp_customize->add_setting( 'parallax_frame_theme_options[header_highlight_content_note_'. $i .']', array(
		'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'sanitize_text_field',
	) );

	$wp_customize->add_control( new parallax_frame_Note_Control( $wp_customize, 'parallax_frame_theme_options[header_highlight_content_note_'. $i .']', array(
		'active_callback' => 'parallax_frame_is_header_highlight_image_content_active',
		'label'           => esc_html__( 'Header Highlight Content #', 'parallax-frame-pro' ) .  $i,
		'section'         => 'parallax_frame_header_highlight_content',
		'settings'        => 'parallax_frame_theme_options[header_highlight_content_note_'. $i .']',
		'type'            => 'description',
		) ) );

	$wp_customize->add_setting( 'parallax_frame_theme_options[header_highlight_content_image_'. $i .']', array(
		'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'parallax_frame_sanitize_image',
	) );

	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'parallax_frame_theme_options[header_highlight_content_image_'. $i .']', array(
		'active_callback' => 'parallax_frame_is_header_highlight_image_content_active',
		'label'           => esc_html__( 'Image', 'parallax-frame-pro' ),
		'section'         => 'parallax_frame_header_highlight_content',
		'settings'        => 'parallax_frame_theme_options[header_highlight_content_image_'. $i .']',
	) ) );

	$wp_customize->add_setting( 'parallax_frame_theme_options[header_highlight_content_link_'. $i .']', array(
		'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'esc_url_raw',
	) );

	$wp_customize->add_control(  'parallax_frame_theme_options[header_highlight_content_link_'. $i .']', array(
		'active_callback' => 'parallax_frame_is_header_highlight_image_content_active',
		'label'           => esc_html__( 'Link', 'parallax-frame-pro' ),
		'section'         => 'parallax_frame_header_highlight_content',
		'settings'        => 'parallax_frame_theme_options[header_highlight_content_link_'. $i .']',
	) );

	$wp_customize->add_setting( 'parallax_frame_theme_options[header_highlight_content_target_'. $i .']', array(
        'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'parallax_frame_sanitize_checkbox',
	) );

	$wp_customize->add_control(  'parallax_frame_theme_options[header_highlight_content_target_'. $i .']', array(
		'active_callback' => 'parallax_frame_is_header_highlight_image_content_active',
		'label'           => esc_html__( 'Check to Open Link in New Window/Tab', 'parallax-frame-pro' ),
		'section'         => 'parallax_frame_header_highlight_content',
		'settings'        => 'parallax_frame_theme_options[header_highlight_content_target_'. $i .']',
		'type'            => 'checkbox',
    ) );

    $wp_customize->add_setting( 'parallax_frame_theme_options[header_highlight_content_title_'. $i .']', array(
		'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'sanitize_text_field',
	) );

	$wp_customize->add_control(  'parallax_frame_theme_options[header_highlight_content_title_'. $i .']', array(
		'active_callback' => 'parallax_frame_is_header_highlight_image_content_active',
		'label'           => esc_html__( 'Title', 'parallax-frame-pro' ),
		'section'         => 'parallax_frame_header_highlight_content',
		'settings'        => 'parallax_frame_theme_options[header_highlight_content_title_'. $i .']',
		'type'            => 'text',
    ) );

    $wp_customize->add_setting( 'parallax_frame_theme_options[header_highlight_content_content_'. $i .']', array(
		'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'parallax_frame_theme_options[header_highlight_content_content_'. $i .']', array(
			'active_callback' => 'parallax_frame_is_header_highlight_image_content_active',
			'label'           => esc_html__( 'Content', 'parallax-frame-pro' ),
			'section'         => 'parallax_frame_header_highlight_content',
			'settings'        => 'parallax_frame_theme_options[header_highlight_content_content_'. $i .']',
			'type'            => 'textarea',
    ) );

    $wp_customize->add_setting( 'parallax_frame_theme_options[header_highlight_content_button_text_'. $i .']', array(
		'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'parallax_frame_theme_options[header_highlight_content_button_text_'. $i .']', array(
			'active_callback' => 'parallax_frame_is_header_highlight_image_content_active',
			'label'           => esc_html__( 'Button Text', 'parallax-frame-pro' ),
			'section'         => 'parallax_frame_header_highlight_content',
			'settings'        => 'parallax_frame_theme_options[header_highlight_content_button_text_'. $i .']',
	) );

	$wp_customize->add_setting( 'parallax_frame_theme_options[header_highlight_content_button_link_'. $i .']', array(
		'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'esc_url_raw',
	) );

	$wp_customize->add_control( 'parallax_frame_theme_options[header_highlight_content_button_link_'. $i .']', array(
			'active_callback' => 'parallax_frame_is_header_highlight_image_content_active',
			'label'           => esc_html__( 'Button Link', 'parallax-frame-pro' ),
			'section'         => 'parallax_frame_header_highlight_content',
			'settings'        => 'parallax_frame_theme_options[header_highlight_content_button_link_'. $i .']',
	) );


	$wp_customize->add_setting( 'parallax_frame_theme_options[header_highlight_content_button_target_'. $i .']', array(
        'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'parallax_frame_sanitize_checkbox',
	) );

	$wp_customize->add_control(  'parallax_frame_theme_options[header_highlight_content_button_target_'. $i .']', array(
		'active_callback' => 'parallax_frame_is_header_highlight_image_content_active',
		'label'           => esc_html__( 'Check to Open Button Link in New Window/Tab', 'parallax-frame-pro' ),
		'section'         => 'parallax_frame_header_highlight_content',
		'settings'        => 'parallax_frame_theme_options[header_highlight_content_button_target_'. $i .']',
		'type'            => 'checkbox',
    ) );

    //Embed Content
    $wp_customize->add_setting( 'parallax_frame_theme_options[header_highlight_content_embed_'. $i .']', array(
		'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'wp_kses_post',
	) );

	$wp_customize->add_control( 'parallax_frame_theme_options[header_highlight_content_embed_'. $i .']', array(
			'active_callback' => 'parallax_frame_is_header_highlight_embed_content_active',
			'label'           => esc_html__( 'Embed Content', 'parallax-frame-pro' ) . ' ' . $i ,
			'section'         => 'parallax_frame_header_highlight_content',
			'settings'        => 'parallax_frame_theme_options[header_highlight_content_embed_'. $i .']',
			'type'            => 'textarea',
    ) );
}
