<?php
/**
 * This functions makes the theme compatible with qTranslate Plugin
 *
 *
 * @package Catch Themes
 * @subpackage Parallax Frame Pro
 * @since Parallax Frame Pro 3.0
 */

if ( ! function_exists( 'parallax_frame_menuitem' ) ) :
/**
 * Template for Converting Home link in Custom Menu
 *
 * To override this in a child theme
 * simply create your own parallax_frame_menuitem(), and that function will be used instead.
 *
 * @since Parallax Frame Pro 3.0
 */
function parallax_frame_menuitem( $menu_item ) {
	// convert local URLs in custom menu items	
	if ( $menu_item->type == 'custom' && stripos( $menu_item->url, get_site_url() ) !== false && function_exists( 'qtrans_convertURL' ) ) {
		$menu_item->url = qtrans_convertURL( $menu_item->url );
	}     
	return $menu_item;
} // parallax_frame_menuitem
endif;

add_filter( 'wp_setup_nav_menu_item' , 'parallax_frame_menuitem', 0 );


if ( ! function_exists( 'parallax_frame_qtranslate_invalidcache' ) ) :
/**
 * Template for Clearing qtranslate Invalid Cache
 *
 * To override this in a child theme
 * simply create your own parallax_frame_qtranslate_invalidcache(), and that function will be used instead.
 *
 * @since Parallax Frame Pro 3.0
 */
function parallax_frame_qtranslate_invalidcache() {
	delete_transient( 'parallax_frame_header_highlight_content' );
	delete_transient( 'parallax_frame_featured_slider' );
	delete_transient( 'parallax_frame_hero_content' );
	delete_transient( 'parallax_frame_featured_content' );
	delete_transient( 'parallax_frame_portfolio' );
	delete_transient( 'parallax_frame_logo_slider' );
	delete_transient( 'parallax_frame_footer_content' );
	delete_transient( 'parallax_frame_promotion_headline' );
	delete_transient( 'all_the_cool_cats' );
} // parallax_frame_qtranslate_invalidcache
endif;

add_action( 'after_setup_theme', 'parallax_frame_qtranslate_invalidcache' );
